Package be.fgov.ehealth.hubservices.core.v2

# Class AccessRightType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.AccessRightType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class AccessRightType extends Object implements Serializable

Java class for AccessRightType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccessRightType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionIdType"/>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}BasicHcPartyType"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ACCESSRIGHT"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessRightType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CDACCESSRIGHT`
  `getCd()`
  Gets the value of the cd property.
  `BasicHcPartyType`
  `getHcparty()`
  Gets the value of the hcparty property.
  `TransactionIdType`
  `getTransaction()`
  Gets the value of the transaction property.
  `void`
  `setCd(CDACCESSRIGHT value)`
  Sets the value of the cd property.
  `void`
  `setHcparty(BasicHcPartyType value)`
  Sets the value of the hcparty property.
  `void`
  `setTransaction(TransactionIdType value)`
  Sets the value of the transaction property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessRightType

    public AccessRightType()

- ## Method Details

  - ### getTransaction

    public TransactionIdType getTransaction()
    Gets the value of the transaction property.
    Returns:
      possible object is `TransactionIdType`

  - ### setTransaction

    public void setTransaction(TransactionIdType value)
    Sets the value of the transaction property.
    Parameters:
      `value` - allowed object is `TransactionIdType`

  - ### getHcparty

    public BasicHcPartyType getHcparty()
    Gets the value of the hcparty property.
    Returns:
      possible object is `BasicHcPartyType`

  - ### setHcparty

    public void setHcparty(BasicHcPartyType value)
    Sets the value of the hcparty property.
    Parameters:
      `value` - allowed object is `BasicHcPartyType`

  - ### getCd

    public CDACCESSRIGHT getCd()
    Gets the value of the cd property.
    Returns:
      possible object is `CDACCESSRIGHT`

  - ### setCd

    public void setCd(CDACCESSRIGHT value)
    Sets the value of the cd property.
    Parameters:
      `value` - allowed object is `CDACCESSRIGHT`